//
// Activity.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation


public struct Activity: Codable { 


    public enum Status: String, Codable, CaseIterable {
        case expected = "expected"
        case planned = "planned"
        case finished = "finished"
    }
    public var practitioner: ActivityPractitioner?
    public var location: ActivityLocation?
    public var gestationWeek: String
    public var plannedTime: ActivityPlannedTime?
    public var status: Status
    public var title: String
    public var description: String?
    /** A pointer to whatever object this activity is related to */
    public var reference: String?
    public var code: Code?
    public var kind: String?
    /** A Universally Unique IDentifier (UUID) version 5. See [RFC 4122, section 4.3](https://tools.ietf.org/html/rfc4122#section-4.3)  */
    public var id: String?
    public var notes: [Note]?
    public var observations: [Observation]?
    /** Since activities may or may not have an actual plannedTime on them, this field is a computed date based on either plannedTime or (gestationAge + date of last period on the data-card if that exists (if it does not we just use today as the start point)) */
    public var sortDate: Date?

    public init(practitioner: ActivityPractitioner?, location: ActivityLocation?, gestationWeek: String, plannedTime: ActivityPlannedTime?, status: Status, title: String, description: String?, reference: String?, code: Code?, kind: String?, id: String?, notes: [Note]?, observations: [Observation]?, sortDate: Date?) {
        self.practitioner = practitioner
        self.location = location
        self.gestationWeek = gestationWeek
        self.plannedTime = plannedTime
        self.status = status
        self.title = title
        self.description = description
        self.reference = reference
        self.code = code
        self.kind = kind
        self.id = id
        self.notes = notes
        self.observations = observations
        self.sortDate = sortDate
    }

}
